unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

uses XLS,ShellAPI;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
 XL:TExcelStream;
 i:integer;
 y:array of integer;
begin
 XL:=TExcelStream.Create('sample.xls');
 try
  XL.AddFont(Label1.Font);
  XL.AddFont(Label2.Font);
  XL.AddFont(Label3.Font);
  XL.AddFont(Label4.Font);
  XL.AddFormats; // to support Currency format
  XL.SetColWidth(1,1,350);
  XL.SetColWidth(2,4,100);
  XL.SetColWidth(5,5,200);

  XL.Alignment:=caCenter;
  XL.Borders:=[cbLeft,cbRight,cbTop];
  XL.Font:=2;
  XL.AddString(1,1,'Delphi TExcelStream demo');

  XL.Borders:=[cbLeft,cbRight];
  XL.Font:=1;
  XL.AddString(1,2,'(c)2005 by Paul TOTH <tothpaul@free.fr>');

  XL.Borders:=[cbLeft,cbRight,cbBottom];
  XL.Font:=0;
  XL.AddString(1,3,'http://tothpaul.free.fr');
  XL.Alignment:=caGeneral;

  XL.Borders:=[];
  SetLength(y,12);
  for i:=0 to 20 do begin
   XL.AddInteger(2,1+i,i);
   XL.AddCurrency(3,1+i,i);
   XL.AddFloat(4,1+i,123*i+i/10);
   XL.AddRef(5,1+i,4,1+i,i);
   if not odd(i) then y[i div 2]:=i+1;
  end;
  XL.Font:=3;

  XL.AddSum       (2,25, 2, 1,2,23);
  XL.AddSumDiv2   (2,26, 2, 1,2,25);
  XL.AddSumOfLines(2,27, y);
  XL.AddSubLines  (2,28,26,27);
  XL.AddPercent   (2,29, 2,27,2,28);

  XL.AddSum       (3,25, 3, 1,3,23,fmCurrency);
  XL.AddSumDiv2   (3,26, 3, 1,3,25,fmCurrency);
  XL.AddSumOfLines(3,27, y,fmCurrency);
  XL.AddSubLines  (3,28,26,27,fmCurrency);
  XL.AddPercent   (3,29, 3,27,3,28);

  XL.AddSum       (4,25, 4, 1,4,23);
  XL.AddSumDiv2   (4,26, 4, 1,4,25);
  XL.AddSumOfLines(4,27, y);
  XL.AddSubLines  (4,28,26,27);
  XL.AddPercent   (4,29, 4,27,4,28);
 finally
  XL.Free;
 end;
 ShellExecute(0,nil,'sample.xls',nil,nil,SW_SHOW);
end;

end.
